Bug 176132 - Update sysutils/zfs-periodic to 2013-02-13 commit
Update sysutils/zfs-periodic to 2013-02-13 commit
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-14 00:20 UTC by darren.pilgrim
Modified: 2013-02-16 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.77 KB, patch)
2013-02-14 00:20 UTC, darren.pilgrim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description darren.pilgrim 2013-02-14 00:20:00 UTC
Update the port to the 2013-02-13 commit (GH_COMMIT=9ffa662).

Changes:

- Remove etc/periodic/monthly/998.zfs-scrub--it was rendered redundant by the scrub periodic added to the base.
- Remove the scrub_in_progress check.  As of 7.3-R and 8.0-R, ZFS supports taking snapshots while a scrub is running--this check is no longer necessary on all supported releases.
- Remove files/patch-zfs-snapshot (was fixed upstream).

Fix: n/a

Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2013-02-14 00:20:07 UTC
Maintainer of sysutils/zfs-periodic,

Please note that PR ports/176132 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176132

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-02-14 00:20:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 peter 2013-02-15 09:37:06 UTC
On 02/14/2013 01:20 AM, Edwin Groothuis wrote:
> Maintainer of sysutils/zfs-periodic,
>
> Please note that PR ports/176132 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176132
>
I approve this patch!

/Peter.
Comment 4 Mark Linimon freebsd_committer 2013-02-15 13:53:55 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2013-02-16 15:45:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 6 dfilter freebsd_committer 2013-02-16 15:59:33 UTC
Author: rm
Date: Sat Feb 16 15:59:25 2013
New Revision: 312371
URL: http://svnweb.freebsd.org/changeset/ports/312371

Log:
  - update to 1.0.20130213
  - remove etc/periodic/monthly/998.zfs-scrub--it was rendered redundant by the
    scrub periodic added to the base
  - remove the scrub_in_progress check. As of 7.3-R and 8.0-R, ZFS supports taking
    snapshots while a scrub is running--this check is no longer necessary on all
    supported releases
  - remove files/patch-zfs-snapshot (was fixed upstream).
  
  PR:		176132
  Submitted by:	Darren Pilgrim <darren.pilgrim@gmail.com>
  Approved by:	Peter Ankerstal <peter@pean.org> (maintainer)

Deleted:
  head/sysutils/zfs-periodic/files/
Modified:
  head/sysutils/zfs-periodic/Makefile
  head/sysutils/zfs-periodic/distinfo

Modified: head/sysutils/zfs-periodic/Makefile
==============================================================================
--- head/sysutils/zfs-periodic/Makefile	Sat Feb 16 15:50:47 2013	(r312370)
+++ head/sysutils/zfs-periodic/Makefile	Sat Feb 16 15:59:25 2013	(r312371)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	zfs-periodic
-PORTVERSION=	1.0.20121207
+PORTVERSION=	1.0.20130213
 CATEGORIES=	sysutils
 
 MAINTAINER=	peter@pean.org
@@ -10,7 +10,7 @@ COMMENT=	Simple way of maintaining zfs s
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	ross
-GH_COMMIT=	5401176
+GH_COMMIT=	9ffa662
 GH_TAGNAME=	${GH_COMMIT}
 
 NO_BUILD=	yes
@@ -22,8 +22,7 @@ PERIODIC_DIRS=	etc/periodic/hourly etc/p
 PERIODIC_FILES=	etc/periodic/hourly/000.zfs-snapshot \
 		etc/periodic/daily/000.zfs-snapshot \
 		etc/periodic/weekly/000.zfs-snapshot \
-		etc/periodic/monthly/000.zfs-snapshot \
-		etc/periodic/monthly/998.zfs-scrub
+		etc/periodic/monthly/000.zfs-snapshot
 
 PLIST_FILES=	${PERIODIC_FILES} bin/zfs-snapshot
 PLIST_DIRSTRY=	${PERIODIC_DIRS}

Modified: head/sysutils/zfs-periodic/distinfo
==============================================================================
--- head/sysutils/zfs-periodic/distinfo	Sat Feb 16 15:50:47 2013	(r312370)
+++ head/sysutils/zfs-periodic/distinfo	Sat Feb 16 15:59:25 2013	(r312371)
@@ -1,2 +1,2 @@
-SHA256 (zfs-periodic-1.0.20121207.tar.gz) = baec480b12b4ddafb53ef5eb1c404140ef967d885b7af55bc2e6c916b8974630
-SIZE (zfs-periodic-1.0.20121207.tar.gz) = 2821
+SHA256 (zfs-periodic-1.0.20130213.tar.gz) = 58f2170979db5a97c895f4fb6e578078bad5dc3efa29dd6c818c98c1bface53f
+SIZE (zfs-periodic-1.0.20130213.tar.gz) = 2518
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2013-02-16 15:59:50 UTC
State Changed
From-To: open->closed

Committed, thank you!